ionCube Logo
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

Goto page Previous  1, 2, 3, 4, 5, 6  Next
 
Post new topic   Reply to topic    ionCube Forum Index -> ionCube PHP Encoder

PHP 7.0 Support Timeline

Author Message
wtbi



Joined: 03 May 2016
Posts: 1

PostPosted: Tue May 03, 2016 5:21 pm    Post subject: Bumping Reply with quote

Hey - is there any news on this?
Back to top
View user's profile Send private message
liaison
ionCube Support


Joined: 16 Dec 2004
Posts: 2757

PostPosted: Wed May 04, 2016 9:04 am    Post subject: Reply with quote

Standby for an update this week.
_________________
Community Admin
Back to top
View user's profile Send private message
sushichris



Joined: 04 May 2016
Posts: 1
Location: Michigan

PostPosted: Wed May 04, 2016 2:04 pm    Post subject: Keep up the hard work! Reply with quote

My main site (business site) is a drupal 8 website, with WHMCS as my billing portal there is nothing holding me back as my site and billing portal still work as expected, however there are benefits to upgrading a drupal 8 site to PHP 7. If there isn't going to be an release for php 7 in the next few months would there be an alternative way to upgrade WHMCS sooner rather than later?

As I said there is nothing holding me back I am just assessing the situation and trying to get some information specific to my case.

Thanks for all the difficult work with PHP 7 I understand how tedious it has been to upgrade! Thank you guys for all the hard work!


Chris
Back to top
View user's profile Send private message
liaison
ionCube Support


Joined: 16 Dec 2004
Posts: 2757

PostPosted: Wed May 04, 2016 5:17 pm    Post subject: Reply with quote

A beta 32 bit Linux Loader for PHP 7 is now imminent and this can process scripts encoded for PHP 5.6 using our latest Encoder. The 64 bit Loader will follow. Your WHMCS copy may have been made with an older Encoder, but if it's possible to get an updated WHMCS version then it should work with the PHP 7 Loader.
_________________
Community Admin
Back to top
View user's profile Send private message
liaison
ionCube Support


Joined: 16 Dec 2004
Posts: 2757

PostPosted: Thu May 05, 2016 1:56 pm    Post subject: PHP 7 Beta Loader now available! Reply with quote

The beta Loader is now available for PHP 7. Please see the Loaders forum for the announcement. This is for 32 bit Linux only, but the 64 bit version is in active development and will follow as soon as possible.

The impact of 32 vs 64 bit for PHP 7 is unfortunately not simply a case of different sized integers and pointers, as PHP 7 internally behaves in some fundamentally different ways dependent on the word size; it essentially says that if the machine is 32 bit then we're going to work "this way", and if it isn't then we're going to work "that way". This is invisible and of no consequence to the script developer and end user, but highly relevant to our software, so requires careful attention and testing.
_________________
Community Admin
Back to top
View user's profile Send private message
Josh Abbott



Joined: 08 Feb 2016
Posts: 8

PostPosted: Fri May 06, 2016 4:43 pm    Post subject: Reply with quote

That's great to hear, but I'm just curious why the beta Loader is being released for 32-bit?

Intel switched from 32-bit chips to 64-bit chips around 10 years ago, so wouldn't almost every server support 64-bit now? I suppose someone could be running a 32-bit version of Linux on a 64-bit chip, but I can't think of any reason to do that unless they needed to support very old 16-bit applications which aren't typically used in a web hosting environment.
Back to top
View user's profile Send private message
liaison
ionCube Support


Joined: 16 Dec 2004
Posts: 2757

PostPosted: Fri May 06, 2016 7:35 pm    Post subject: Reply with quote

Unfortunately we have to support both. 64 bit is well on its way though Smile
_________________
Community Admin
Back to top
View user's profile Send private message
vinprom



Joined: 10 May 2016
Posts: 4

PostPosted: Tue May 10, 2016 8:42 am    Post subject: ioncube loader 64bit linux php7 Reply with quote

Mod edit:

We hope [you] to provide for 64 bit linux php7 soon.
Back to top
View user's profile Send private message
liaison
ionCube Support


Joined: 16 Dec 2004
Posts: 2757

PostPosted: Wed May 11, 2016 1:03 pm    Post subject: PHP7 beta2 Loader for 32/64 bit Reply with quote

The 64 bit Loader for running Encoder 9 scripts for PHP 5.6 on PHP 7 Linux is now available. Please see the announcement in the Loaders section for links.
_________________
Community Admin
Back to top
View user's profile Send private message
vinprom



Joined: 10 May 2016
Posts: 4

PostPosted: Thu May 12, 2016 10:32 am    Post subject: Reply with quote

[Thu May 12 04:29:11.692751 2016] [core:notice] [pid 100944] AH00052: child pid 100948 exit signal Segmentation fault (11)

Not work for me in Ubuntu 16.04 64-bit
Back to top
View user's profile Send private message
alastair



Joined: 23 Feb 2010
Posts: 188

PostPosted: Thu May 12, 2016 4:43 pm    Post subject: Reply with quote

Thanks for the report.

Do you have OPcache enabled? If so, then does the Loader work when OPcache is disabled?
_________________
Alastair

ionCube
Back to top
View user's profile Send private message
vinprom



Joined: 10 May 2016
Posts: 4

PostPosted: Fri May 13, 2016 9:45 am    Post subject: Reply with quote

alastair wrote:
Thanks for the report.

Do you have OPcache enabled? If so, then does the Loader work when OPcache is disabled?


And in both cases does not work. ( OPcache enabled/disabled)
It gives me the same error in apache2 log.
Anyway, I'll wait for another stable version. I hope it will be soon... until then will test beta versions Smile
Back to top
View user's profile Send private message
vinprom



Joined: 10 May 2016
Posts: 4

PostPosted: Sat May 14, 2016 8:37 am    Post subject: Reply with quote

Opss my fault. I forgot remove ; on opcache.enable=0 Smile
Now work with disabled opcache.

Will we provide loader for php 5.5 encoded files and below?
Back to top
View user's profile Send private message
liaison
ionCube Support


Joined: 16 Dec 2004
Posts: 2757

PostPosted: Mon May 16, 2016 2:54 pm    Post subject: Reply with quote

Loaders to support PHP files for older PHP versions will come after the release of the Encoder for PHP 7. If your files are for older PHP, if possible try asking the provider of the scripts for newer scripts.
_________________
Community Admin
Back to top
View user's profile Send private message
Josh Abbott



Joined: 08 Feb 2016
Posts: 8

PostPosted: Mon May 16, 2016 10:41 pm    Post subject: Reply with quote

Would it be possible to expedite the PHP 7 Loader that will support files encoded for PHP 5.5?

PHP 5.5 is the latest version available on GoDaddy's shared hosting plans and it's also the default version on new cPanel installations, so being able to provide scripts that can run on 5.5, 5.6, and PHP 7 should cover virtually all of our customers for the foreseeable future.
Back to top
View user's profile Send private message
Display posts from previous:   
Post new topic   Reply to topic    ionCube Forum Index -> ionCube PHP Encoder All times are GMT + 1 Hour
Goto page Previous  1, 2, 3, 4, 5, 6  Next
Page 4 of 6

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum